<?php
/**
 * All the core functions for account
 *
 * @package Live Composer - WooCommerce integration
 */

// Prevent direct access to the file.
if ( ! defined( 'ABSPATH' ) ) {
	header( 'HTTP/1.0 403 Forbidden' );
	exit;
}

/**
 * Add CSS and Script
 */
function lcwoo_account_add_style_and_scripts() {
	wp_enqueue_style( 'lcwoo-account-style', LCWOO_INTEGRATION_PLUGIN_URL . 'includes/account/css/style.css', array(), LCWOO_INTEGRATION_PLUGIN_VER );
}
add_action( 'wp_enqueue_scripts', 'lcwoo_account_add_style_and_scripts' );

/**
 * Modules for Account
 */
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/account/modules/account/module.php' );

/**
 * Account - Change Button ( Edit Mode )
 *
 * @param  array $url_vars Get url vars.
 * @param  array $page_id Get current page id.
 */
function lcwoo_account_change_edit_button( $url_vars, $page_id ) {

	if ( is_account_page() ) {

		global $wp;

		if ( isset( $wp->query_vars['orders'] ) ) {
			$url_vars = '&orders';
		} elseif ( isset( $wp->query_vars['view-order'] ) ) {
			$url_vars = '&view-order=' . $wp->query_vars['view-order'];
		} elseif ( isset( $wp->query_vars['downloads'] ) ) {
			$url_vars = '&downloads';
		} elseif ( isset( $wp->query_vars['edit-address'] ) && empty( $wp->query_vars['edit-address'] ) ) {
			$url_vars = '&edit-address';
		} elseif ( isset( $wp->query_vars['edit-address'] ) && ( 'billing' === $wp->query_vars['edit-address'] ) ) {
			$url_vars = '&edit-address=billing';
		} elseif ( isset( $wp->query_vars['edit-address'] ) && ( 'shipping' === $wp->query_vars['edit-address'] ) ) {
			$url_vars = '&edit-address=shipping';
		} elseif ( isset( $wp->query_vars['edit-account'] ) ) {
			$url_vars = '&edit-account';
		}
	}

	return $url_vars;
}
add_filter( 'lc_edit_url_vars', 'lcwoo_account_change_edit_button', 10, 2 );
